Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I recently switched ISPs. One site I visit regularly includes the Facebook Connect JS on it's site - http://connect.facebook.net/en_US/all.js#xfbml=1

However, the browser is not downloading the file. Even though the source code loads for the site I don't see anything displayed until 10 minutes have passed and the connection times out.

I also have Windows installed on the same computer and the site seems to load fine.

Could there be a setting specific to Ubuntu that keeps trying to grab the file? I have tried installing the FacebookBlocker extension for Chrome but it doesn't make any difference.

EDIT: I am using DSL for the first time with Ubuntu and I think the problem may be with the DSL settings. It is not just the facebook file listed but sometimes other sites as well. Perhaps I need to adjust some settings with the DSL connection? Unfortunately, my ISP doesn't provide support for Linux.

share|improve this question

2 Answers 2

What browser are you using? Chrome? I've seen issues like this before and it's always to do with Facebook and not an end user. Just look at this: http://forum.developers.facebook.net/viewtopic.php?id=29702 and this: http://stackoverflow.com/questions/1344473/loading-lockup-on-internet-explorer it's all related to your issue.

My guess is "try" another browser and see if there's a notable difference or try to use wget from the terminal to get the file

wget http://connect.facebook.net/en_US/all.js#xfbml=1

^ I think.

share|improve this answer
    
This also just halts on awaiting response. I have edited the question to provide more info. –  Matt McCormick Apr 14 '11 at 6:02
    
Even though your ISP doesn't 'support linux' you should still be able to access stuff like this.I doubt this has anything to do with your ISP. I'm afraid that's about as far as my knowledge goes on this subject. @harrymc seems to have suggested something good above. Good luck mate. –  maxmackie Apr 14 '11 at 12:06

There is no such thing as "ISP that doesn't support Linux". It just means that their Support doesn't answer questions about Linux, so that you have to do it yourself (which is a quite normal situation on Linux).

One possible explanation is possibly a driver problem for the DSL card. If a driver is not available (unlikely but possible), nothing stops you from using another DSL card that is better supported by Ubuntu.

Please post your card's make and model and those of your DSL router, as well as the driver you are currently using so we can check if a newer version is available. The best place to look is normally on the manufacturer's website.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.